Bug 91902 - ports: net/openldap ports report wrong PKGNAME and COMMENT if WITH_SASL is defined
Summary: ports: net/openldap ports report wrong PKGNAME and COMMENT if WITH_SASL is de...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-17 10:30 UTC by TEUBEL György
Modified: 2006-05-29 07:32 UTC (History)
0 users

See Also:


Attachments
file.diff (5.46 KB, patch)
2006-01-17 10:30 UTC, TEUBEL György
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TEUBEL György 2006-01-17 10:30:06 UTC
net/openldap22-client, net/openldap22-server and net/openldap23-client ports generates wrong PKGNAME and COMMENT if WITH_SASL is explicitly defined in make's command line or in /etc/make.conf. So a newly insalled port registers for example with openldap-client, but openldap-sasl-client is installed and you must run pkgdb -F manually.

How-To-Repeat: # cd /usr/ports/net
# for d in openldap2[23]*; do echo -ne "${d}:\t"; (cd $d && make -D WITH_SASL -V PKGNAME); done
openldap22-client:      openldap-client-2.2.30
openldap22-sasl-client: openldap-sasl-client-2.2.30
openldap22-sasl-server: openldap-sasl-server-2.2.30
openldap22-server:      openldap-server-2.2.30
openldap23-client:      openldap-client-2.3.11
openldap23-sasl-client: openldap-sasl-client-2.3.11
openldap23-server:      openldap-server-2.3.11
Comment 1 Edwin Groothuis freebsd_committer 2006-01-17 10:34:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vsevolod

Over to maintainer
Comment 2 Vsevolod Stakhov freebsd_committer 2006-02-03 13:17:45 UTC
Thank you, I'll commit this patch with openldap ports update (would be after portmk with new openldap will be tested).
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-04-14 19:51:30 UTC
Responsible Changed
From-To: vsevolod->freebsd-ports-bugs

Maintainer was reset.
Comment 4 Sergey Matveychuk freebsd_committer 2006-04-15 20:16:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 5 Sergey Matveychuk freebsd_committer 2006-05-01 12:41:57 UTC
Responsible Changed
From-To: sem->delphij

Assign to maintainer. He has a ports commit bit now.
Comment 6 Xin LI freebsd_committer 2006-05-18 16:08:22 UTC
State Changed
From-To: open->patched

The OpenLDAP 2.3 part of this was committed.  I will take a look at 
the openldap 2.2.x series soon.  Thanks for your submission!
Comment 7 Xin LI freebsd_committer 2006-05-29 07:31:39 UTC
State Changed
From-To: patched->closed

A slightly different patch was committed against openldap22-*, 
thanks for your submission!